------------------------------------------------------------------------------------
--Name:  	wanshengjie1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-09-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(208, 376)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 208, 376, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_1 = CppScriptMgr:AddSimplePlayer(1050880, 208, 376, "MightyLord", 0, 0)
Player_1:SetZoomPercent(120)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e236", 209, 381, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e236", 205, 378, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e236", 212, 378, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("zf2-e236", 207, 382, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_2 = CppScriptMgr:AddSimplePlayer(1061134, 209, 382, "CountFriss", 0, 0)
Player_2:SetDir(4)
local Player_3 = CppScriptMgr:AddSimplePlayer(1055684, 212, 382, "CountApada", 0, 0)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddSimplePlayer(1055692, 213, 379, "CountJupp", 0, 0)
Player_4:SetDir(2)
local Player_5 = CppScriptMgr:AddSimplePlayer(1061124, 206, 381, "CountNicolas", 0, 0)
Player_5:SetDir(6)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("My lord, the night of Halloween is approaching, and the Macabre Realm will reappear.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("Before long, those reckless adventurers will swarm in.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_5:Say("If they discover your secret...", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("I am ardently anticipating their coming!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("In Macabre Realm, the more fear they feel, the stronger my power becomes.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Once I master the super skills, the world will forever descend into darkness, and everyone will become my servant.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("All hail Mighty Lord!", 1000)
Player_3:Say("All hail Mighty Lord!", 1000)
Player_4:Say("All hail Mighty Lord!", 1000)
Player_5:Say("All hail Mighty Lord!", 1000)
CppScriptMgr:WaitMilSec(1500)